FcWeightFromOpenType(3)

NAME
FcWeightFromOpenType - Convert from OpenType weight values to fontconfig ones

SYNOPSIS
#include <fontconfig/fontconfig.h>

int FcWeightFromOpenType (intot_weight);

DESCRIPTION

FcWeightFromOpenType returns an integer value to use with FC_WEIGHT, from an integer in the 1..1000 range, resembling the numbers from OpenType specification's OS/2 usWeight numbers, which are also similar to CSS font-weight numbers. If input is negative, zero, or greater than 1000, returns -1. This function linearly interpolates between various FC_WEIGHT_* constants. As such, the returned value does not necessarily match any of the predefined constants.

SINCE

version 2.11.91